## ros-noetic-mir-dwb-critics 1.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(mir_dwb_critics)

set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Werror")

find_package(catkin REQUIRED COMPONENTS
  angles
  costmap_queue
  dwb_critics
  dwb_local_planner
  geometry_msgs
  nav_2d_msgs
  nav_2d_utils
  nav_core2
  nav_grid_iterators
  pluginlib
  roscpp
  sensor_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS angles costmap_queue dwb_critics dwb_local_planner geometry_msgs nav_2d_msgs nav_2d_utils nav_core2 nav_grid_iterators pluginlib roscpp sensor_msgs
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/path_angle.cpp
  src/path_progress.cpp
  src/path_dist_pruned.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(PROGRAMS
    nodes/print_dwb_scores.py
    nodes/plot_dwb_scores.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES default_critics.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-mir-dwb-critics (1.1.7-1focal) focal; urgency=high

  * Don't set cmake_policy CMP0048
  * Drop old C++ compiler flags
  * Add license headers
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 19 Jan 2023 23:00:00 -0000

ros-noetic-mir-dwb-critics (1.1.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Jun 2022 22:00:00 -0000

ros-noetic-mir-dwb-critics (1.1.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Feb 2022 23:00:00 -0000

ros-noetic-mir-dwb-critics (1.1.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Dec 2021 23:00:00 -0000

ros-noetic-mir-dwb-critics (1.1.3-1focal) focal; urgency=high

  * Merge branch 'melodic-2.8' into noetic
  * Reformat python code using black
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Jun 2021 22:00:00 -0000

ros-noetic-mir-dwb-critics (1.1.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-mir-dwb-critics (1.1.1-1focal) focal; urgency=high

  * Fix bug in path_dist_pruned
    With some paths, the previous code crashed with "terminate called after throwing an instance
    of 'std::bad_alloc'".
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-mir-dwb-critics (1.1.0-1focal) focal; urgency=high

  * Initial release into noetic
  * Update scripts to Python3 (Noetic)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-dwb-critics (1.0.6-1focal) focal; urgency=high

  * Add missing matplotlib dependency
  * Fix some catkin_lint warnings
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-dwb-critics (1.0.5-1focal) focal; urgency=high

  * mir_dwb_critics: Add plot_dwb_scores.py
  * mir_dwb_critics: Improve print_dwb_scores output
  * added PathDistPrunedCritic for dwb (#42 <https://github.com/dfki-ric/mir_robot/issues/42>)
    which works exactly like the original PathDistCritic, except that it
    searches for a local minimum in the distance from the global path to the robots
    current position. It then prunes the global_path from the start up to
    this point, therefore approximately cutting of a segment of the path
    that the robot already followed.
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-noetic-mir-dwb-critics (1.0.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-mir-dwb-critics (1.0.3-1focal) focal; urgency=high

  * PathProgressCritic: Add heading score
  * Add package: mir_dwb_critics
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-noetic-mir-dwb-critics (1.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-noetic-mir-dwb-critics (1.0.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-noetic-mir-dwb-critics (1.0.0-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-mir-dwb-critics
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-angles, ros-noetic-catkin, ros-noetic-costmap-queue, ros-noetic-dwb-critics, ros-noetic-dwb-local-planner, ros-noetic-geometry-msgs, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-core2, ros-noetic-nav-grid-iterators, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: https://github.com/dfki-ric/mir_dwb_critics
Standards-Version: 3.9.2

Package: ros-noetic-mir-dwb-critics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-matplotlib, ros-noetic-angles, ros-noetic-costmap-queue, ros-noetic-dwb-critics, ros-noetic-dwb-local-planner, ros-noetic-geometry-msgs, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-core2, ros-noetic-nav-grid-iterators, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: Trajectory critics for the dwb_local_planner that work well together with the SBPL global planner on the MiR robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mir-dwb-critics//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
